<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>

  <body>
    <h2>Task 1:</h2>
    <label id="task_1"></label>
    <br /><br />

    <h2>Task 2:</h2>
    <label>Phần tử đầu tiên và thứ 3 của mảng:</label>
    <label id="task_2"></label>
    <br /><br />

    <h2>Task 3:</h2>
    <label>Phần tử đầu tiên và 2 phần tử cuối cảu mảng:</label>
    <label id="task_3"></label>
    <br /><br />
  </body>
  <script>
    var names = ["alpha", "beta", "gamma", "delta"];

    ///////////Test 1///////////////
    function testArray_1() {
      let [a, b, c, d] = names;
      let result = "Phần tử đầu tiên và thứ 2 của mảng: " + a + " và " + b
      document.getElementById("task_1").innerHTML = result;
      console.log("%cTask 1:", "color:blue");
      console.log("Phần tử đầu tiên và thứ 2:", a, b); // alpha,  beta
    }
    testArray_1();

    ///////////Test 2///////////////
    function testArray_2() {
      let [a, b, c, d] = names;
      let result = "Phần tử đầu tiên và thứ 2 của mảng: " + a + " và " + c
      document.getElementById("task_2").innerHTML = result;
      console.log("%cTask 2:", "color:blue");
      console.log("Phần tử đầu tiên và thứ 3:", a, c); // alpha ,  gamma
    }
    testArray_2();

    ///////////Test 3///////////////
    function testArray_3() {
      let [a, b, c, d] = names;
      let result = "Phần tử đầu tiên và thứ 2 của mảng: " + a + " , " + c  + " , " + d;
      document.getElementById("task_3").innerHTML = result;
      console.log("%cTask 3:", "color:blue");
      console.log("Phần tử đầu tiên và 2 phần tử cuối:", a, c, d); // alpha,   gamma,   delta
    }
    testArray_3();
  </script>
</html>
